% Copyright (C) 2025 by Raehyun Kim (rhkim79@math.berkeley.edu)
function [root, info] = inefficient_bisect(func, Int, params)
% initial setting
a = Int.a; b = Int.b;
r_tol = params.root_tol;
f_tol = params.func_tol;

% initialize output
root = NaN;
info.flag = 1; 

% condition check
if (func(a)*func(b) > 0)
    disp('Wrong Input')
    return
end

while (abs(a-b) > r_tol)
    root = (a+b)/2;
    if abs(func(root)) < f_tol
        info.flag = 0;
        return
    end

    if func(root) * func(a) < 0
        b = root;
    else
        a = root;
    end
end

info.flag = 0;
return
end